
// @import 'mixins';



// colors? :)

$tev-colors: (
    black: #000,
    white: #fff,
    light-grey: #eee,
    imperceptible-grey: #fafafa,
    red: #f00,
    blue: #009ee0,
    yellow: #ffdf50,
    light-yellow: #fff3BF,
    link: #009ee0,
    ok: #009ee0,
    cancel: #ffdf50
);


@function get-color ($name, $f: null, $arg: null) {
    @if $f {
        @return call($f, map-get($tev-colors, $name), $arg);
    }

    @else {
        @return map-get($tev-colors, $name);
    }
}


@function get-colors () {
    @return map-keys($tev-colors);
}

@each $c in get-colors() {

    // to be used with extend
    %color-#{$c} { color: get-color($c); }
    %background-#{$c} { background-color: get-color($c); }
}
